com.sun.syndication.feed.synd

## Interface SyndContent

All Superinterfaces:
  java.lang.Cloneable, CopyFrom

All Known Implementing Classes:
  SyndContentImpl

    public interface SyndContent
    extends java.lang.Cloneable, CopyFrom

Bean interface for content of SyndFeedImpl entries.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `clone()` Creates a deep clone of the object.
`java.lang.String` `getMode()` Gets the content mode (needed for Atom 0.3 support).
`java.lang.String` `getType()` Returns the content type.
`java.lang.String` `getValue()` Returns the content value.
`void` `setMode(java.lang.String mode)` Sets the content mode (needed for Atom 0.3 support).
`void` `setType(java.lang.String type)` Sets the content type.
`void` `setValue(java.lang.String value)` Sets the content value.

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Method Detail

#### getType

    java.lang.String getType()

Returns the content type.

When used for the description of an entry, if null 'text/plain' must be assumed.

Returns:
  the content type, null if none.

#### setType

    void setType(java.lang.String type)

Sets the content type.

When used for the description of an entry, if null 'text/plain' must be assumed.

Parameters:
  `type` - the content type to set, null if none.

#### getMode

    java.lang.String getMode()

Gets the content mode (needed for Atom 0.3 support).

Returns:
  type the content, null if none.

#### setMode

    void setMode(java.lang.String mode)

Sets the content mode (needed for Atom 0.3 support).

Parameters:
  `mode` - the content mode to set, null if none.

#### getValue

    java.lang.String getValue()

Returns the content value.

Returns:
  the content value, null if none.

#### setValue

    void setValue(java.lang.String value)

Sets the content value.

Parameters:
  `value` - the content value to set, null if none.

#### clone

    java.lang.Object clone()
                    throws java.lang.CloneNotSupportedException

Creates a deep clone of the object.

Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.